GetPlayer = GLOBAL.GetPlayer
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

PrefabFiles = {"clementine","clem_hat","walkie_talkie",}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/clementine.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/clementine.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/clementine.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/clementine.xml" ),

    Asset( "IMAGE", "bigportraits/clementine.tex" ),
    Asset( "ATLAS", "bigportraits/clementine.xml" ),
	
	Asset( "IMAGE", "images/map_icons/clementine.tex" ),
	Asset( "ATLAS", "images/map_icons/clementine.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_clementine.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_clementine.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_clementine.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_clementine.xml" ),	

	Asset( "ATLAS", "images/map_icons/clem_hat.xml" ),	
	Asset( "IMAGE", "images/map_icons/clem_hat.tex" ),

	Asset( "ATLAS", "images/map_icons/walkie_talkie.xml" ),	
	Asset( "IMAGE", "images/map_icons/walkie_talkie.tex" ),
}

-- Strings --
GLOBAL.STRINGS.NAMES.CLEM_HAT = "Clem's hat"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CLEM_HAT = "My father gave it to me."

GLOBAL.STRINGS.NAMES.WALKIE_TALKIE = "Walkie-talkie"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.WALKIE_TALKIE = "It's broken. But I want to keep it."

STRINGS.CHARACTERS.GENERIC.DESCRIBE.CLEMENTINE = 
{
	GENERIC = "It's Clem!",
	ATTACKER = "That Clem looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Clem, friend of ghosts.",
	GHOST = "Clem could use a heart.",
}


table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "clementine")

-- Map Icons --
AddMinimapAtlas("images/map_icons/clementine.xml")
AddMinimapAtlas("images/map_icons/clem_hat.xml")
AddMinimapAtlas("images/map_icons/walkie_talkie.xml")

AddModCharacter("clementine")
